/* ORDONARE (SORARE) 
 * 
 * Metoda: SELECTIA MINIMULUI  (Selection Sort)
 * 
 * Ideea:  pentru fiecare interval de pozitii: [i, n], 
 *         cu i = 1, 2, ..., n - 1,
 *         se determina pozitia pmin a minimului.
 *         Se interschimba a[i] ci a[pmin].
 * 		   In acest fel. cele mai mici i valori din sir,
 *         se vor gasi pe primele i pozitii.	 
 * 
 * Complexitate: O(n * n)  
 */ 
#include <fstream>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

const int Dim = 1001;
int a[Dim], n;

void CitesteSir();
void SortSelMin();
void AfiseazaSir();

int main()
{
	CitesteSir();
	SortSelMin();
	AfiseazaSir();
}

void SortSelMin() // O(n * n)
{
	int pmin; // poz minimului in intervalul [i, n]
	int aux;
	
	for (int i = 1; i < n; ++i)
	{
		pmin = i;
		for (int j = i + 1; j <= n; ++j)
			if (a[j] < a[pmin])
				pmin = j;
		
		if (pmin != i)
		{
			aux = a[i];
			a[i] = a[pmin];
			a[pmin] = aux;
		}
	}
}


void AfiseazaSir()
{
	for (int i = 1; i <= n; ++i)
		fout << a[i] << ' ';
}

void CitesteSir()
{
	fin >> n;
	for (int i = 1; i <= n; ++i)
		fin >> a[i];
}















