/* ORDONARE (SORARE) 
 * 
 * Metoda: SELECTIA MINIMULUI (Selection Sort)
 * 
 * Ideea:  pentru fiecare interval de pozitii: [i, n], 
 *         cu i = 1, 2, ..., n - 1,
 *         se determina pozitia pmin a minimului.
 *         Se interschimba a[i] ci a[pmin].
 * 		   In acest fel. cele mai mici i valori din sir,
 *         se vor gasi pe primele i pozitii.	  
 * 
 * Complexitate: O(n * n)  
 */ 
#include <fstream>
#include <algorithm>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

const int Dim = 1001;
int a[Dim], n;

void CitesteSir();
void SortSelMin();
void AfiseazaSir();

int main()
{
	CitesteSir();
	SortSelMin();
	AfiseazaSir();
}

void SortSelMin() // O(n * n)
{
	int pmin; // poz minimului in intervalul [i, n]
	
	for (int i = 1; i < n; ++i)
	{
		pmin = i;
		for (int j = i + 1; j <= n; ++j)
			if (a[j] < a[pmin])
				pmin = j;
		
		if (pmin != i)
			swap(a[i], a[pmin]);
	}
}


void AfiseazaSir()
{
	for (int i = 1; i <= n; ++i)
		fout << a[i] << ' ';
}

void CitesteSir()
{
	fin >> n;
	for (int i = 1; i <= n; ++i)
		fin >> a[i];
}















